Task Update
curl --request PUT \
--url https://app.apigene.ai/api/task/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"agent_id": "<string>",
"chat_model": {
"provider": "<string>",
"model": "<string>"
},
"mentions": [
{}
],
"visibility": "private",
"state": "enabled",
"thread_policy": "new_each_run",
"thread_id": "<string>"
}
'import requests
url = "https://app.apigene.ai/api/task/{task_id}"
payload = {
"name": "<string>",
"prompt": "<string>",
"agent_id": "<string>",
"chat_model": {
"provider": "<string>",
"model": "<string>"
},
"mentions": [{}],
"visibility": "private",
"state": "enabled",
"thread_policy": "new_each_run",
"thread_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
agent_id: '<string>',
chat_model: {provider: '<string>', model: '<string>'},
mentions: [{}],
visibility: 'private',
state: 'enabled',
thread_policy: 'new_each_run',
thread_id: '<string>'
})
};
fetch('https://app.apigene.ai/api/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Task
Task Update
PUT
/
api
/
task
/
{task_id}
Task Update
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Body
application/json
Scheduled command create/update payload (reuses /api/task paths).
Command display name.
Prompt / command text to run via Copilot chat.
Optional Copilot agent id to @-mention for the run.
Optional chat model override {provider, model}.
Show child attributes
Show child attributes
Optional mention snapshot (agent/mcp) for the headless run.
Command visibility: 'private' or 'public'
Available options:
private, public Schedule information for the command
Show child attributes
Show child attributes
Command state: 'enabled' or 'disabled'
Available options:
disabled, enabled Whether each run creates a new chat thread or appends to thread_id
Available options:
new_each_run, append Thread to append to when thread_policy is 'append'
Response
Successful Response
⌘I
